Community
AutoCAD Forum
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Want to change all the existing dimensions to specific layer.

6 REPLIES 6
SOLVED
Reply
Message 1 of 7
Manicbala
1435 Views, 6 Replies

Want to change all the existing dimensions to specific layer.

Hi,

 

I need to change all the dimensions in my drawing to specific layer (Ex: DIMS).

 

Please advise any shortcuts/lisp to change at one time. 

 

Thanks,

Thanks
Bala
6 REPLIES 6
Message 2 of 7
imadHabash
in reply to: Manicbala

Hi,

since we need more details ... but let's start with :

  • LAYISO command to isolate selected and different type of dimensions . LAYON to turn all layers back . 
  • QSELECT command , and by preparing proper values .
  • SELECTSIMILAR command will also help .
  • also you can set a certain layer just for dimensions by DIMLAYER system variable . >> Click <<

Regards,

 

Imad Habash

EESignature

Message 3 of 7
Manicbala
in reply to: imadHabash

 

There are lots of dimensions with different layers in the drawing, I want to select all the dimensions and change it to specific layer. If any lisp for this issue will be helpful. 

DIMlayer command not in Autocad 2015.

 

Thanks,

Thanks
Bala
Message 4 of 7
imadHabash
in reply to: Manicbala

Ok ... then FILTER command may the better way . 

 

 FILTER >> Select Filter: Dimension >> Add to List >> Apply ..... select the whole existing elements to filter out only the dimensions .

Imad Habash

EESignature

Message 5 of 7
neaton
in reply to: Manicbala

Here is a quick script file that will do what you want. Change "0" to your layer name. There are 2 returns at the end to accept then close out the change command.

     (ssget "x" (list (cons 0 "DIM*")))
     change p  properties layer "0"

 

I also found this >>LISP routine<< that does the same thing.

Nancy

Message 6 of 7
BeKirra
in reply to: Manicbala


@Manicbalawrote:

Hi,

I need to change all the dimensions in my drawing to specific layer (Ex: DIMS).

Please advise any shortcuts/lisp to change at one time. 

Thanks,


 

The code below may help straightforwardly while other offers here also work.

SD is the command you need to enter since your target dimension layer is "DIMS".

(defun c:SD (/ SelectDim)
(setq SelectDim (ssget "X" '((0 . "DIMENSION"))))
(command "._Chprop" SelectDim "" "Layer" "DIMS" "")
(princ)
); end of defun

 

HTH

Please mark "Accept as Solution" and "Like" if my reply resolves the issue and it will help when others need helps.
= ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ = ♪ = ♫ =
A circle is the locus of a cursor, starting and ending at the same point on a plane in model space or in layout such that its distance from a given coordinates (X,Y) is always constant.
X² + Y² = C²
Message 7 of 7
Manicbala
in reply to: BeKirra

Thank you so much.

Thanks
Bala

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Forma Design Contest


Autodesk Design & Make Report